Skip to main content
`Ctrl`+`K`

# Mrt

class astropy.io.ascii.Mrt

  Bases: `BaseReader`

  AAS MRT (Machine-Readable Table) format table.

  Reading

      >>> from astropy.io import ascii
      >>> table = ascii.read('data.mrt', format='mrt')

  Writing

  Use `ascii.write(table, 'data.mrt', format='mrt')` to write tables to Machine Readable Table (MRT) format.

  Note that the metadata of the table, apart from units, column names and description, will not be written. These have to be filled in by hand later.

  See also: Machine-Readable Table Format.

  Caveats:

  - The Units and Explanations are available in the column `unit` and `description` attributes, respectively.

  - The other metadata defined by this format is not available in the output table.

  Methods Summary

  `write`([table]) | Write `table` as list of strings.

  Methods Documentation

  write(table=None)

    Write `table` as list of strings.

    Parameters:
      table `Table`

        Input table data.

    Returns:
      lines `python:list`

        List of strings corresponding to ASCII table